ruby-mocha (3.0.1-1) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * debian/gbp.conf: Add for DEP-14
  * debian/.gitattributes: remove
  * debian/salsa-ci.yml: use team-specific include

  [ Simon Quigley ]
  * Team upload.
  * New upstream release.
  * Update Standards-Version to 4.7.3, no changes needed.
  * Refresh patches, remove reverse-applicable ones.
  * Fix invocation of tests, add fix-not-init-error-test.patch.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 10 Feb 2026 10:26:01 -0600

ruby-mocha (1.16.1-3) unstable; urgency=medium

  * Add upstream patch to use "new" capitalization of Minitest 
    + fix ruby3.3 compatibility

 -- Cédric Boutillier <boutil@debian.org>  Sun, 21 Jul 2024 23:59:23 +0200

ruby-mocha (1.16.1-2) unstable; urgency=medium

  * Team upload.
  * d/p/0005-Fix-regexp_matches-tests-in-Ruby-v3.2.patch: fix FTBFS with
    ruby 3.2.
  * Declare compliance with Debian Policy 4.6.2.

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 22 Feb 2024 21:38:11 -0300

ruby-mocha (1.16.1-1) unstable; urgency=medium

  * Team upload.

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.2.1, no changes needed.
  * Update watch file format version to 4.
  * Apply multi-arch hints.
    + ruby-mocha-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.

  [ Lucas Nussbaum ]
  * New upstream version 1.16.1. This is not the latest version of mocha,
    but the latest of mocha 1.x.
  * Refresh patches
  * Add patch to avoid git call in gemspec
  * Update docs path from doc to docs
  * Refresh packaging using dh-make-ruby
  * Fix lintian warning: ruby-interpreter-is-deprecated
  * Fix lintian warning: tab-in-license-text

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 29 Dec 2022 15:20:06 +0100

ruby-mocha (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * Bump Standards-Version to 4.2.0 (no changes needed)
  * Move debian/watch to gemwatch.debian.net
  * Use salsa.debian.org in Vcs-* fields
  * Bump debhelper compatibility level to 11
  * Refresh patches. Skip another failing test
  * No more examples shipped
  * Fix paths for documentation shipped with ruby-mocha-doc
  * Use https for homepage and copyright file format
  * Remove trailing spaces in old changelog entries

 -- Cédric Boutillier <boutil@debian.org>  Sun, 19 Aug 2018 04:57:37 +0200

ruby-mocha (1.3.0-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Remove myself from Uploaders:

  [ Cédric Boutillier ]
  * New upstream version 1.3.0
  * Bump Standards-Version to 4.1.1 (no changes needed)
  * Bump debhelper compatibility level to 10
  * Refresh patches

 -- Cédric Boutillier <boutil@debian.org>  Fri, 24 Nov 2017 23:40:01 +0100

ruby-mocha (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Bump debhelper compatibility level to 9
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Run wrap-and-sort on packaging files
  * Update privacy_breach.patch
  * Drop ruby22_nil_frozen.patch (applied upstream)
  * Add backtrace_regexp_match.patch to fix autopkgtests
  * Add Testsuite field
  * Bump Standards-Version to 4.0.0 (no changes needed)
  * Update reference to homepage
  * Update address for source and years in copyright file
  * Make gem2deb test dependencies when running the tests
  * Use DEB_VERSION_UPSTREAM dpkg variable to read upstream version in
    debian/rules
  * Drop require-rubygems.overrides

 -- Cédric Boutillier <boutil@debian.org>  Thu, 06 Jul 2017 23:56:21 +0200

ruby-mocha (1.1.0-2) unstable; urgency=medium

  * Add ruby22_nil_frozen.patch from upstream to ignore some tests with
    Ruby2.2, dealing with nil (Closes: #794271)

 -- Cédric Boutillier <boutil@debian.org>  Thu, 13 Aug 2015 08:38:48 +0200

ruby-mocha (1.1.0-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0
  * Add missing Ruby-Versions for the binary package

 -- Cédric Boutillier <boutil@debian.org>  Tue, 20 May 2014 14:18:30 +0200

ruby-mocha (1.0.0-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0
  * drop add_rubygems_requirement.patch, not needed anymore

 -- Cédric Boutillier <boutil@debian.org>  Sun, 16 Feb 2014 00:31:24 +0100

ruby-mocha (0.14.0-3) unstable; urgency=medium

  * Drop completely rubygems, since only Ruby1.9+ is now supported
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Add privacy_breach.patch to patch out external URLs from the
    documentation

 -- Cédric Boutillier <boutil@debian.org>  Thu, 16 Jan 2014 11:36:01 +0100

ruby-mocha (0.14.0-2) unstable; urgency=low

  * Do not force rubygems to avoid forcing a transitive dependency on ruby1.8.
    Removed explicit build-dependency on rubygems since gem2deb already
    depends on it (at least for as long as Ruby 1.8 is supported).
    Removed unconditional dependency on rubygems, replaced with rubygems |
    ruby (>= 1:1.9) to make sure it sill works with Ruby1.8 while it's still
    supported.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 12 Aug 2013 11:40:09 +0200

ruby-mocha (0.14.0-1) unstable; urgency=low

  * New upstream version
  * debian/control: add a Build-Depends on rubygems for tests with ruby1.8
  * debian/ruby-tests.rb: ensure Mocha is defined before loading the tests
  * debian/patches:
    + update add_rubygems_requirement.patch
    + add deactivate_failing_tests.patch: temporarily deactivate two tests
      failing with Debian ruby-minitests 5.0

 -- Cédric Boutillier <boutil@debian.org>  Thu, 16 May 2013 17:25:32 +0200

ruby-mocha (0.13.3-2) unstable; urgency=low

  * Upload to unstable
  * Remove obsolete transitional packages libmocha-ruby*

 -- Cédric Boutillier <boutil@debian.org>  Tue, 07 May 2013 11:42:29 +0200

ruby-mocha (0.13.3-1) experimental; urgency=low

  * New upstream version
  * reflect change of extension of README in ruby-mocha.docs
  * debian/patches:
    + remove remove_rubygems_stuff_in_minitest_test.patch (not needed anymore)
    + refresh add_rubygems_requirement.patch
  * debian/control:
    + bump Standards-Version to 3.9.4 (no changes needed)
    + remove obsolete DM-Upload-Allowed field
    + update my email address
    + update Vcs-* fields to use anonscm.debian.org
    + build-dependencies: add yard and ruby-redcarpet, remove libjs-jquery
  * debian/rules:
    + install upstream changelog
    + build documentation with yard
  * debian/copyright
    + update years and my email address
    + remove info about embedded copy of libjsquery (not present anymore)
    + rename MIT license paragraph to Expat
    + upate Ruby license
    + remove paragraph about GPL-2
  * move debian/source/options to debian/source/local-options

 -- Cédric Boutillier <boutil@debian.org>  Sat, 13 Apr 2013 15:29:02 +0200

ruby-mocha (0.11.3-3) unstable; urgency=low

  * Modify remove_rubygems_stuff_in_minitest_test.patch to restore
    loading of minitest/unit conditional to the definition of MiniTest.
    Loading minitest/unit before Minitest is defined screens the definition of
    TestUnitResult, causing tests to fail (Closes: #684860).

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Wed, 12 Sep 2012 12:41:26 +0200

ruby-mocha (0.11.3-2) unstable; urgency=low

  * Bump the build-dependency on gem2deb to >= 0.3.0~ (closes: #674388).

 -- Paul van Tilburg <paulvt@debian.org>  Wed, 27 Jun 2012 00:01:46 +0200

ruby-mocha (0.11.3-1) unstable; urgency=low

  * New upstream version
  * Bump Standards-Version: to 3.9.3 (no changes needed)
  * Ship documentation in ruby-mocha-doc
  * Remove debian/README.Debian-sources (no more applicable)
  * debian/ruby-tests.rb:
    - do not exclude tests with Ruby 1.9 anymore
  * debian/patches:
    - refresh remove_rubygems_stuff_in_minitest_test.patch
  * add a copy of the source for minified jquery.js in debian/jquery-1.5.2.js

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Thu, 26 Apr 2012 23:15:03 +0200

ruby-mocha (0.10.3-1) unstable; urgency=low

  * New upstream version
  * debian/control
    - add myself to the uploaders
    - add (build-)dependency on ruby-metaclass and rubygems
    - add build-dependency on ruby-introspection and ruby-minitest
    - set Priority of transitional packages to extra
  * debian/ruby-tests.rb:
    - remove unneeded $LOAD_PATH manipulation
    - ignore two test files with Ruby1.9 due to ruby-introspection misbehaving
      with Ruby1.9.3
  * debian/patches:
    - add_rubygems_requirement.patch: require "rubygems/requirement" in
      lib/mocha/integration/{test_unit,mini_test}.rb
    - remove_rubygems_stuff_in_minitest_test.patch: remove use of rubygems to
      load minitest and reorder require statements to avoid conflicts between
      minitest and test_unit
  * debian/require-rubygems.overrides:
    lib/mocha/integration/{test_unit,mini_test}.rb need "rubygems/requirement"

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Mon, 30 Jan 2012 14:43:32 +0100

ruby-mocha (0.9.12-2) unstable; urgency=low

  * Remove files that were in the debian packaging branch but not in upstream
    tarball we were using. This makes the package build with dpkg 1.16.1
    (Closes: #643270)
  * debian/control: move pkg-ruby-extras team to Maintainer: field. Move
    myself with new e-mail address to Uploaders:
  * Bumped standards version to 3.9.2. No changes needed.
  * Make lintian ignore duplicated descriptions in transitional packages
  * debian/control:
    + Use Conflicts: instead of Breaks as recommended.
    + use 'ruby | ruby-interpreter' instead of 'ruby-interpreter | ruby' in
      Depends: this way we always have an actual package as first alternative
      instead of a virtual one.
  * debian/copyright: adjusted to adhere more strictly to DEP5.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 02 Oct 2011 07:56:58 -0300

ruby-mocha (0.9.12-1) unstable; urgency=low

  * New upload, since the previous was REJECTED by the ftpmasters.
    + Add verbatim copies of licenses to debian/copyright, was requested by
      policy 4.5.
  * Bump debhelper compatibility level
  * Update with files generated by dh-make-ruby:
    + debian/rules
    + debian/watch
  * New upstream release.
  * Updating the package as for the new Ruby practices
    + Renaming package to ruby-mocha.
    + Using a single binary package
    + Migrate to gem2deb
      - removed build dependency on cdbs and ruby-pkg-tools
    + Added XS-Ruby-Versions field to debian/control
    + ruby-mocha Provides, Replaces and Conflicts with libmocha-ruby and
      libmocha-ruby1.8
  * Bumped Standards-Version to 3.9.1
  * debian/source/format: using '3.0 (quilt)'
  * Source migrated to pkg-ruby-extras team's git repository
  * Run tests during package build
  * Added transitional packages in debian/control to allow smooth upgrades
    from Squeeze.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Mon, 11 Apr 2011 10:37:50 -0700

libmocha-ruby (0.9.8-1) unstable; urgency=low

  [ Gunnar Wolf ]
  * Changed section to Ruby as per ftp-masters' request

  [ Antonio Terceiro ]
  * New upstream release.
  * debian/copyright:
    + Updating licensing information according to upstream README file.
    + Relicensing the Debian packaging under the same terms as the original
      package.
  * debian/control: updated Standards version to 3.8.3. No changes needed.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Fri, 20 Nov 2009 20:06:38 -0300

libmocha-ruby (0.9.5-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - clarified version of GPL
    - added proper copyrigh signs (©)
  * debian/control:
    - Added ${misc:Depends} to libmocha-ruby

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Sun, 15 Feb 2009 21:06:03 -0300

libmocha-ruby (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: bumped standards to 3.8.0; no changes needed.
  * debian/rules: calling rdoc by hand without --diagram option. For some
    reason rdoc generates several identical PNG files when generating
    diagrams, and dh_rdoc always use --diagram.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Sun, 29 Jun 2008 18:26:29 -0300

libmocha-ruby (0.5.6-1) unstable; urgency=low

  [ Antonio Terceiro ]
  * New upstream release.
  * Generating rdoc HTML and installing to -ruby package.
  * Bumped standards to 3.7.3; no changes needed.
  * Removed setup.rb from .diff.gz, now requiring ruby-pkg-tools >= 0.13 to
    build.
  * Adding Dm-Upload-Allowed field to debian/control.

  [ Lucas Nussbaum ]
  * Use new Homepage dpkg header.

  [ Paul van Tilburg ]
  * Updated debian/control:
    - added myself to the Uploaders field.
    - added Vcs-* fields.
    - build-depend on ruby1.8 should be on libruby1.8 (only stdlib is used).
    - changed section from interpreters to libs!

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 04 Apr 2008 21:48:41 +0200

libmocha-ruby (0.5.3-1) unstable; urgency=low

  * Initial Debian release (Closes: #434555).

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Wed,  1 Aug 2007 19:06:38 -0300
